<?php
/**
 *
 * @package Luzuk Premium
 */

if(get_theme_mod('blog_section_disable') != 'on' ){ ?>
	<?php 
 	if( get_theme_mod('blog_areaTpadding',true) ) {
 		$blog_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('blog_areaTpadding')).';';
 	}
 	if( get_theme_mod('blog_areaBpadding',true) ) {
 		$blog_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('blog_areaBpadding')).';';
 	}
 	if( get_theme_mod('blog_areaLpadding',true) ) {
 		$blog_areaLpadding = 'padding-left:'.esc_attr(get_theme_mod('blog_areaLpadding')).';';
 	}
 	if( get_theme_mod('blog_areaRpadding',true) ) {
 		$blog_areaRpadding = 'padding-right:'.esc_attr(get_theme_mod('blog_areaRpadding')).';';
 	}
 	?>
<div  class="blog-area" id="blog" style="<?php echo esc_attr($blog_areaTpadding); ?>" "<?php echo esc_attr($blog_areaBpadding); ?>" "<?php echo esc_attr($blog_areaLpadding); ?>" "<?php echo esc_attr($blog_areaRpadding); ?>" "<?php echo esc_attr($blog_areaLpadding); ?>">
 		
			<?php			
 		$blog_title = get_theme_mod('blog_title_title', 'Lattest Blog');
 		?>

		<div class="container">
			<div class=" wow fadeInUp" data-wow-duration="1s">
				<div class="row justify-content-center">
 				<div class="col-xl-6 col-lg-6 col-sm-8">
 					<?php if($blog_title){ ?>
 					<div class="section-title text-center">
 						<h2><?php echo ($blog_title);  ?></h2>
 						<div class="titleborder"></div>
 					</div>
 				<?php }?>
 				</div>
 			</div>

					<div class="row">
					<div class="blog-area-wrap">
						<div class="blog-posts">

						<?php 
						$blog_post_count = get_theme_mod('blog_post_count', 3 );
						$blog_cat_exclude = get_theme_mod('blog_cat_exclude');
						$blog_cat_exclude = explode(',', $blog_cat_exclude);
						$args = array(
							'posts_per_page' => absint($blog_post_count),
							'category__not_in' => $blog_cat_exclude
						);
						$query = new WP_Query($args);
						if($query -> have_posts()):
							while($query -> have_posts()) : $query -> the_post();
								$lz_fitness_image = wp_get_attachment_image_src(get_post_thumbnail_id() , 'total-blog-thumb');
								?>
								<?php 
								if(has_post_thumbnail()){
									$img = esc_url($lz_fitness_image[0]);
								}
								if(empty($lz_fitness_image)){
									$img = get_template_directory_uri().'/images/blog.jpg';
								}
								?>
								<div class="blog-post col-md-4 col-sm-6">
									<div class="box-area-S">

										<div class="blog-thumbnail">
											<a href="<?php the_permalink(); ?>"><img class="blog-img" src="<?php echo $img; ?>" alt="<?php the_title(); ?>"></a>
											<div class="overlay">
					                            <div class="box">
					                                <div class="content">
					                                    <a href="<?php the_permalink(); ?>" class="fa fa-link"></a>
					                                </div>
					                            </div>
					                        </div>
										</div>
										<div class="blog-single">
											<div class="blog-date section-area-text">
					                            by <?php echo get_the_author(); ?> / on <span> <?php echo get_the_date( 'j F, Y' ); ?></span>
					                        </div>
											<a href="<?php the_permalink(); ?>"><h4 class="inner-area-title"><?php the_title(); ?></h4></a>
											<div class="section-area-text">
												

											<?php 
												if(has_excerpt()){
													echo get_the_excerpt();
												}else{
													echo luzuk_excerpt( get_the_content() , 130 );
												}
												?>

											</div>

											
											<div class="clearfix"></div>
										</div>
										<div class="clearfix"></div>

									</div>
								</div>
								<?php
							endwhile;
						endif;
						wp_reset_postdata();
						?>
					</div>
						<div class="clearfix"></div>
					</div>	
				</div>
			</div>
		</div>
		<div class="clearfix"></div>
</div>
<script>
  jQuery.noConflict();
  $(function(){
    function blogsingleHeight(){
      var ht = 0;
      $('.blog-area .blog-single').each(function(i){
        var tHt = $(this).height();
        if(ht<tHt){
          ht=tHt;
        }
      });
      $('.blog-area .blog-single').height(ht+'px');
    }
    blogsingleHeight();
  });
  $( window ).resize(function(){
    blogsingleHeight();
  });
</script>
<?php }